# eric7.WebBrowser.AdBlock.AdBlockExceptionsDialog

Module implementing a dialog to configure the AdBlock exceptions.

### Global Attributes

None

### Classes

AdBlockExceptionsDialog | Class implementing a dialog to configure the AdBlock exceptions.

### Functions

None

## AdBlockExceptionsDialog

Class implementing a dialog to configure the AdBlock exceptions.

### Derived from

QDialog, Ui_AdBlockExceptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

AdBlockExceptionsDialog | Constructor
accept | Public slot handling the acceptance of the dialog.
load | Public slot to load the list of excepted hosts.
on_addButton_clicked | Private slot to handle a click of the add button.
on_deleteButton_clicked | Private slot handling a click of the delete button.
on_hostEdit_textChanged | Private slot to handle changes of the host edit.
on_hostList_itemSelectionChanged | Private slot handling a change of the number of selected items.

### Static Methods

None

#### AdBlockExceptionsDialog (Constructor)

AdBlockExceptionsDialog(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

#### AdBlockExceptionsDialog.accept

accept()

Public slot handling the acceptance of the dialog.

#### AdBlockExceptionsDialog.load

load(hosts)

Public slot to load the list of excepted hosts.

hosts (list of str)
  list of excepted hosts

#### AdBlockExceptionsDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to handle a click of the add button.

#### AdBlockExceptionsDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot handling a click of the delete button.

#### AdBlockExceptionsDialog.on_hostEdit_textChanged

on_hostEdit_textChanged(txt)

Private slot to handle changes of the host edit.

txt (str)
  text of the edit

#### AdBlockExceptionsDialog.on_hostList_itemSelectionChanged

on_hostList_itemSelectionChanged()

Private slot handling a change of the number of selected items.

Up